package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_report_derived_stmt")
public class MaintReportDerivedStmt implements Serializable{
	
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;

	@Id
	@Column(name="id")
	private String id;

	@Column(name="report_id")
	private String reportId;

	@Column(name="audit_type_code")
	private String auditTypeCode;

	@Column(name="statement_id")
	private String statementId;

	@Column(name="fill_1")
	private String fill1;

	@Column(name="fill_2")
	private String fill2;

	@Column(name="fill_3")
	private String fill3;

	@Column(name="fill_4")
	private String fill4;

	@Column(name="fill_5")
	private String fill5;

	@Column(name="fill_6")
	private String fill6;

	@Column(name="fill_7")
	private String fill7;

	@Column(name="fill_8")
	private String fill8;

	@Column(name="fill_9")
	private String fill9;

	@Column(name="fill_10")
	private String fill10;

	@Column(name="fill_11")
	private String fill11;

	@Column(name="fill_12")
	private String fill12;

	@Column(name="fill_13")
	private String fill13;

	@Column(name="fill_14")
	private String fill14;

	@Column(name="fill_15")
	private String fill15;

	@Column(name="fill_16")
	private String fill16;

	@Column(name="fill_17")
	private String fill17;

	@Column(name="fill_18")
	private String fill18;

	@Column(name="fill_19")
	private String fill19;

	@Column(name="fill_20")
	private String fill20;

	@Column(name="comp_1_elemt_1")
	private String comp1Elemt1;

	@Column(name="comp_1_elemt_2")
	private String comp1Elemt2;

	@Column(name="comp_1_type")
	private String comp1Type;

	@Column(name="comp_2_elemt_1")
	private String comp2Elemt1;

	@Column(name="comp_2_elemt_2")
	private String comp2Elemt2;

	@Column(name="comp_2_type")
	private String comp2Type;
	
	@Column(name="comp_3_elemt_1")
	private String comp3Elemt1;

	@Column(name="comp_3_elemt_2")
	private String comp3Elemt2;

	@Column(name="comp_3_type")
	private String comp3Type;

	@Column(name="comp_result_pick")
	private String compResultPick;

	@Column(name="derived_stmt")
	private String derivedStmt;

	@Column(name="derived_stmt_1")
	private String derivedStmt1;

	@Column(name="derived_stmt_2")
	private String derivedStmt2;

	@Column(name="derived_stmt_3")
	private String derivedStmt3;

	@Column(name="derived_stmt_4")
	private String derivedStmt4;

	@Column(name="derived_stmt_5")
	private String derivedStmt5;

	@Column(name="derived_stmt_6")
	private String derivedStmt6;

	@Column(name="derived_stmt_7")
	private String derivedStmt7;

	@Column(name="derived_stmt_8")
	private String derivedStmt8;

	@Column(name="derived_stmt_9")
	private String derivedStmt9;
	
	@Column(name="derived_stmt_10")
	private String derivedStmt10;
	
	@Column(name="derived_stmt_11")
	private String derivedStmt11;

	@Column(name="derived_stmt_12")
	private String derivedStmt12;

	@Column(name="derived_stmt_13")
	private String derivedStmt13;

	@Column(name="derived_stmt_14")
	private String derivedStmt14;

	@Column(name="derived_stmt_15")
	private String derivedStmt15;

	@Column(name="derived_stmt_16")
	private String derivedStmt16;

	@Column(name="derived_stmt_17")
	private String derivedStmt17;

	@Column(name="derived_stmt_18")
	private String derivedStmt18;
	
	@Column(name="derived_stmt_19")
	private String derivedStmt19;
	
	@Column(name="derived_stmt_20")
	private String derivedStmt20;

	@Column(name="derived_stmt_21")
	private String derivedStmt21;

	@Column(name="derived_stmt_22")
	private String derivedStmt22;

	@Column(name="derived_stmt_23")
	private String derivedStmt23;

	@Column(name="derived_stmt_24")
	private String derivedStmt24;

	@Column(name="derived_stmt_25")
	private String derivedStmt25;

	@Column(name="derived_stmt_26")
	private String derivedStmt26;

	@Column(name="derived_stmt_27")
	private String derivedStmt27;

	
	@Column(name="derived_stmt_hindi")
	private String derivedStmtHindi;

	@Column(name="derived_stmt_1_hindi")
	private String derivedStmt1Hindi;

	@Column(name="derived_stmt_2_hindi")
	private String derivedStmt2Hindi;

	@Column(name="derived_stmt_3_hindi")
	private String derivedStmt3Hindi;

	@Column(name="derived_stmt_4_hindi")
	private String derivedStmt4Hindi;

	@Column(name="derived_stmt_5_hindi")
	private String derivedStmt5Hindi;

	@Column(name="derived_stmt_6_hindi")
	private String derivedStmt6Hindi;

	@Column(name="derived_stmt_7_hindi")
	private String derivedStmt7Hindi;

	@Column(name="derived_stmt_8_hindi")
	private String derivedStmt8Hindi;

	@Column(name="derived_stmt_9_hindi")
	private String derivedStmt9Hindi;
	
	@Column(name="derived_stmt_10_hindi")
	private String derivedStmt10Hindi;

	@Column(name="derived_stmt_11_hindi")
	private String derivedStmt11Hindi;

	@Column(name="derived_stmt_12_hindi")
	private String derivedStmt12Hindi;

	@Column(name="derived_stmt_13_hindi")
	private String derivedStmt13Hindi;

	@Column(name="derived_stmt_14_hindi")
	private String derivedStmt14Hindi;

	@Column(name="derived_stmt_15_hindi")
	private String derivedStmt15Hindi;

	@Column(name="derived_stmt_16_hindi")
	private String derivedStmt16Hindi;

	@Column(name="derived_stmt_17_hindi")
	private String derivedStmt17Hindi;

	@Column(name="derived_stmt_18_hindi")
	private String derivedStmt18Hindi;

	@Column(name="derived_stmt_19_hindi")
	private String derivedStmt19Hindi;

	@Column(name="derived_stmt_20_hindi")
	private String derivedStmt20Hindi;

	@Column(name="derived_stmt_21_hindi")
	private String derivedStmt21Hindi;

	@Column(name="derived_stmt_22_hindi")
	private String derivedStmt22Hindi;

	@Column(name="derived_stmt_23_hindi")
	private String derivedStmt23Hindi;

	@Column(name="derived_stmt_24_hindi")
	private String derivedStmt24Hindi;

	@Column(name="derived_stmt_25_hindi")
	private String derivedStmt25Hindi;

	@Column(name="derived_stmt_26_hindi")
	private String derivedStmt26Hindi;

	@Column(name="derived_stmt_27_hindi")
	private String derivedStmt27Hindi;
	
	@Column(name="dependency_type")
	private String dependencyType;
	
	@Column(name="appearance")
	private String appearance;

	@Column(name="entity_status")
	private String entityStatus;

	@Column(name="status")
	private String status;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getReportId() {
		return reportId;
	}

	public void setReportId(String reportId) {
		this.reportId = reportId;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getStatementId() {
		return statementId;
	}

	public void setStatementId(String statementId) {
		this.statementId = statementId;
	}
	
	public String getFill1() {
		return fill1;
	}

	public void setFill1(String fill1) {
		this.fill1 = fill1;
	}

	public String getFill2() {
		return fill2;
	}

	public void setFill2(String fill2) {
		this.fill2 = fill2;
	}

	public String getFill3() {
		return fill3;
	}

	public void setFill3(String fill3) {
		this.fill3 = fill3;
	}

	public String getFill4() {
		return fill4;
	}

	public void setFill4(String fill4) {
		this.fill4 = fill4;
	}

	public String getFill5() {
		return fill5;
	}

	public void setFill5(String fill5) {
		this.fill5 = fill5;
	}

	public String getFill6() {
		return fill6;
	}

	public void setFill6(String fill6) {
		this.fill6 = fill6;
	}

	public String getFill7() {
		return fill7;
	}

	public void setFill7(String fill7) {
		this.fill7 = fill7;
	}

	public String getFill8() {
		return fill8;
	}

	public void setFill8(String fill8) {
		this.fill8 = fill8;
	}

	public String getFill9() {
		return fill9;
	}

	public void setFill9(String fill9) {
		this.fill9 = fill9;
	}

	public String getFill10() {
		return fill10;
	}

	public void setFill10(String fill10) {
		this.fill10 = fill10;
	}

	public String getFill11() {
		return fill11;
	}

	public void setFill11(String fill11) {
		this.fill11 = fill11;
	}

	public String getFill12() {
		return fill12;
	}

	public void setFill12(String fill12) {
		this.fill12 = fill12;
	}

	public String getFill13() {
		return fill13;
	}

	public void setFill13(String fill13) {
		this.fill13 = fill13;
	}

	public String getFill14() {
		return fill14;
	}

	public void setFill14(String fill14) {
		this.fill14 = fill14;
	}

	public String getFill15() {
		return fill15;
	}

	public void setFill15(String fill15) {
		this.fill15 = fill15;
	}

	public String getFill16() {
		return fill16;
	}

	public void setFill16(String fill16) {
		this.fill16 = fill16;
	}

	public String getFill17() {
		return fill17;
	}

	public void setFill17(String fill17) {
		this.fill17 = fill17;
	}

	public String getFill18() {
		return fill18;
	}

	public void setFill18(String fill18) {
		this.fill18 = fill18;
	}

	public String getFill19() {
		return fill19;
	}

	public void setFill19(String fill19) {
		this.fill19 = fill19;
	}

	public String getFill20() {
		return fill20;
	}

	public void setFill20(String fill20) {
		this.fill20 = fill20;
	}

	public String getComp1Elemt1() {
		return comp1Elemt1;
	}

	public void setComp1Elemt1(String comp1Elemt1) {
		this.comp1Elemt1 = comp1Elemt1;
	}

	public String getComp1Elemt2() {
		return comp1Elemt2;
	}

	public void setComp1Elemt2(String comp1Elemt2) {
		this.comp1Elemt2 = comp1Elemt2;
	}

	public String getComp1Type() {
		return comp1Type;
	}

	public void setComp1Type(String comp1Type) {
		this.comp1Type = comp1Type;
	}

	public String getComp2Elemt1() {
		return comp2Elemt1;
	}

	public void setComp2Elemt1(String comp2Elemt1) {
		this.comp2Elemt1 = comp2Elemt1;
	}

	public String getComp2Elemt2() {
		return comp2Elemt2;
	}

	public void setComp2Elemt2(String comp2Elemt2) {
		this.comp2Elemt2 = comp2Elemt2;
	}

	public String getComp2Type() {
		return comp2Type;
	}

	public void setComp2Type(String comp2Type) {
		this.comp2Type = comp2Type;
	}

	public String getComp3Elemt1() {
		return comp3Elemt1;
	}

	public void setComp3Elemt1(String comp3Elemt1) {
		this.comp3Elemt1 = comp3Elemt1;
	}

	public String getComp3Elemt2() {
		return comp3Elemt2;
	}

	public void setComp3Elemt2(String comp3Elemt2) {
		this.comp3Elemt2 = comp3Elemt2;
	}

	public String getComp3Type() {
		return comp3Type;
	}

	public void setComp3Type(String comp3Type) {
		this.comp3Type = comp3Type;
	}

	public String getCompResultPick() {
		return compResultPick;
	}

	public void setCompResultPick(String compResultPick) {
		this.compResultPick = compResultPick;
	}

	public String getDerivedStmt() {
		return derivedStmt;
	}

	public void setDerivedStmt(String derivedStmt) {
		this.derivedStmt = derivedStmt;
	}

	public String getDerivedStmt1() {
		return derivedStmt1;
	}

	public void setDerivedStmt1(String derivedStmt1) {
		this.derivedStmt1 = derivedStmt1;
	}

	public String getDerivedStmt2() {
		return derivedStmt2;
	}

	public void setDerivedStmt2(String derivedStmt2) {
		this.derivedStmt2 = derivedStmt2;
	}

	public String getDerivedStmt3() {
		return derivedStmt3;
	}

	public void setDerivedStmt3(String derivedStmt3) {
		this.derivedStmt3 = derivedStmt3;
	}

	public String getDerivedStmt4() {
		return derivedStmt4;
	}

	public void setDerivedStmt4(String derivedStmt4) {
		this.derivedStmt4 = derivedStmt4;
	}

	public String getDerivedStmt5() {
		return derivedStmt5;
	}

	public void setDerivedStmt5(String derivedStmt5) {
		this.derivedStmt5 = derivedStmt5;
	}

	public String getDerivedStmt6() {
		return derivedStmt6;
	}

	public void setDerivedStmt6(String derivedStmt6) {
		this.derivedStmt6 = derivedStmt6;
	}

	public String getDerivedStmt7() {
		return derivedStmt7;
	}

	public void setDerivedStmt7(String derivedStmt7) {
		this.derivedStmt7 = derivedStmt7;
	}

	public String getDerivedStmt8() {
		return derivedStmt8;
	}

	public void setDerivedStmt8(String derivedStmt8) {
		this.derivedStmt8 = derivedStmt8;
	}

	public String getDerivedStmt9() {
		return derivedStmt9;
	}

	public void setDerivedStmt9(String derivedStmt9) {
		this.derivedStmt9 = derivedStmt9;
	}

	public String getDerivedStmt10() {
		return derivedStmt10;
	}

	public void setDerivedStmt10(String derivedStmt10) {
		this.derivedStmt10 = derivedStmt10;
	}

	public String getDerivedStmt11() {
		return derivedStmt11;
	}

	public void setDerivedStmt11(String derivedStmt11) {
		this.derivedStmt11 = derivedStmt11;
	}

	public String getDerivedStmt12() {
		return derivedStmt12;
	}

	public void setDerivedStmt12(String derivedStmt12) {
		this.derivedStmt12 = derivedStmt12;
	}

	public String getDerivedStmt13() {
		return derivedStmt13;
	}

	public void setDerivedStmt13(String derivedStmt13) {
		this.derivedStmt13 = derivedStmt13;
	}

	public String getDerivedStmt14() {
		return derivedStmt14;
	}

	public void setDerivedStmt14(String derivedStmt14) {
		this.derivedStmt14 = derivedStmt14;
	}

	public String getDerivedStmt15() {
		return derivedStmt15;
	}

	public void setDerivedStmt15(String derivedStmt15) {
		this.derivedStmt15 = derivedStmt15;
	}

	public String getDerivedStmt16() {
		return derivedStmt16;
	}

	public void setDerivedStmt16(String derivedStmt16) {
		this.derivedStmt16 = derivedStmt16;
	}

	public String getDerivedStmt17() {
		return derivedStmt17;
	}

	public void setDerivedStmt17(String derivedStmt17) {
		this.derivedStmt17 = derivedStmt17;
	}

	public String getDerivedStmt18() {
		return derivedStmt18;
	}

	public void setDerivedStmt18(String derivedStmt18) {
		this.derivedStmt18 = derivedStmt18;
	}

	public String getDerivedStmt19() {
		return derivedStmt19;
	}

	public void setDerivedStmt19(String derivedStmt19) {
		this.derivedStmt19 = derivedStmt19;
	}

	public String getDerivedStmt20() {
		return derivedStmt20;
	}

	public void setDerivedStmt20(String derivedStmt20) {
		this.derivedStmt20 = derivedStmt20;
	}

	public String getDerivedStmt21() {
		return derivedStmt21;
	}

	public void setDerivedStmt21(String derivedStmt21) {
		this.derivedStmt21 = derivedStmt21;
	}

	public String getDerivedStmt22() {
		return derivedStmt22;
	}

	public void setDerivedStmt22(String derivedStmt22) {
		this.derivedStmt22 = derivedStmt22;
	}

	public String getDerivedStmt23() {
		return derivedStmt23;
	}

	public void setDerivedStmt23(String derivedStmt23) {
		this.derivedStmt23 = derivedStmt23;
	}

	public String getDerivedStmt24() {
		return derivedStmt24;
	}

	public void setDerivedStmt24(String derivedStmt24) {
		this.derivedStmt24 = derivedStmt24;
	}

	public String getDerivedStmt25() {
		return derivedStmt25;
	}

	public void setDerivedStmt25(String derivedStmt25) {
		this.derivedStmt25 = derivedStmt25;
	}

	public String getDerivedStmt26() {
		return derivedStmt26;
	}

	public void setDerivedStmt26(String derivedStmt26) {
		this.derivedStmt26 = derivedStmt26;
	}

	public String getDerivedStmt27() {
		return derivedStmt27;
	}

	public void setDerivedStmt27(String derivedStmt27) {
		this.derivedStmt27 = derivedStmt27;
	}

	public String getDerivedStmtHindi() {
		return derivedStmtHindi;
	}

	public void setDerivedStmtHindi(String derivedStmtHindi) {
		this.derivedStmtHindi = derivedStmtHindi;
	}

	public String getDerivedStmt1Hindi() {
		return derivedStmt1Hindi;
	}

	public void setDerivedStmt1Hindi(String derivedStmt1Hindi) {
		this.derivedStmt1Hindi = derivedStmt1Hindi;
	}

	public String getDerivedStmt2Hindi() {
		return derivedStmt2Hindi;
	}

	public void setDerivedStmt2Hindi(String derivedStmt2Hindi) {
		this.derivedStmt2Hindi = derivedStmt2Hindi;
	}

	public String getDerivedStmt3Hindi() {
		return derivedStmt3Hindi;
	}

	public void setDerivedStmt3Hindi(String derivedStmt3Hindi) {
		this.derivedStmt3Hindi = derivedStmt3Hindi;
	}

	public String getDerivedStmt4Hindi() {
		return derivedStmt4Hindi;
	}

	public void setDerivedStmt4Hindi(String derivedStmt4Hindi) {
		this.derivedStmt4Hindi = derivedStmt4Hindi;
	}

	public String getDerivedStmt5Hindi() {
		return derivedStmt5Hindi;
	}

	public void setDerivedStmt5Hindi(String derivedStmt5Hindi) {
		this.derivedStmt5Hindi = derivedStmt5Hindi;
	}

	public String getDerivedStmt6Hindi() {
		return derivedStmt6Hindi;
	}

	public void setDerivedStmt6Hindi(String derivedStmt6Hindi) {
		this.derivedStmt6Hindi = derivedStmt6Hindi;
	}

	public String getDerivedStmt7Hindi() {
		return derivedStmt7Hindi;
	}

	public void setDerivedStmt7Hindi(String derivedStmt7Hindi) {
		this.derivedStmt7Hindi = derivedStmt7Hindi;
	}

	public String getDerivedStmt8Hindi() {
		return derivedStmt8Hindi;
	}

	public void setDerivedStmt8Hindi(String derivedStmt8Hindi) {
		this.derivedStmt8Hindi = derivedStmt8Hindi;
	}

	public String getDerivedStmt9Hindi() {
		return derivedStmt9Hindi;
	}

	public void setDerivedStmt9Hindi(String derivedStmt9Hindi) {
		this.derivedStmt9Hindi = derivedStmt9Hindi;
	}

	public String getDerivedStmt10Hindi() {
		return derivedStmt10Hindi;
	}

	public void setDerivedStmt10Hindi(String derivedStmt10Hindi) {
		this.derivedStmt10Hindi = derivedStmt10Hindi;
	}

	public String getDerivedStmt11Hindi() {
		return derivedStmt11Hindi;
	}

	public void setDerivedStmt11Hindi(String derivedStmt11Hindi) {
		this.derivedStmt11Hindi = derivedStmt11Hindi;
	}

	public String getDerivedStmt12Hindi() {
		return derivedStmt12Hindi;
	}

	public void setDerivedStmt12Hindi(String derivedStmt12Hindi) {
		this.derivedStmt12Hindi = derivedStmt12Hindi;
	}

	public String getDerivedStmt13Hindi() {
		return derivedStmt13Hindi;
	}

	public void setDerivedStmt13Hindi(String derivedStmt13Hindi) {
		this.derivedStmt13Hindi = derivedStmt13Hindi;
	}

	public String getDerivedStmt14Hindi() {
		return derivedStmt14Hindi;
	}

	public void setDerivedStmt14Hindi(String derivedStmt14Hindi) {
		this.derivedStmt14Hindi = derivedStmt14Hindi;
	}

	public String getDerivedStmt15Hindi() {
		return derivedStmt15Hindi;
	}

	public void setDerivedStmt15Hindi(String derivedStmt15Hindi) {
		this.derivedStmt15Hindi = derivedStmt15Hindi;
	}

	public String getDerivedStmt16Hindi() {
		return derivedStmt16Hindi;
	}

	public void setDerivedStmt16Hindi(String derivedStmt16Hindi) {
		this.derivedStmt16Hindi = derivedStmt16Hindi;
	}

	public String getDerivedStmt17Hindi() {
		return derivedStmt17Hindi;
	}

	public void setDerivedStmt17Hindi(String derivedStmt17Hindi) {
		this.derivedStmt17Hindi = derivedStmt17Hindi;
	}

	public String getDerivedStmt18Hindi() {
		return derivedStmt18Hindi;
	}

	public void setDerivedStmt18Hindi(String derivedStmt18Hindi) {
		this.derivedStmt18Hindi = derivedStmt18Hindi;
	}

	public String getDerivedStmt19Hindi() {
		return derivedStmt19Hindi;
	}

	public void setDerivedStmt19Hindi(String derivedStmt19Hindi) {
		this.derivedStmt19Hindi = derivedStmt19Hindi;
	}

	public String getDerivedStmt20Hindi() {
		return derivedStmt20Hindi;
	}

	public void setDerivedStmt20Hindi(String derivedStmt20Hindi) {
		this.derivedStmt20Hindi = derivedStmt20Hindi;
	}

	public String getDerivedStmt21Hindi() {
		return derivedStmt21Hindi;
	}

	public void setDerivedStmt21Hindi(String derivedStmt21Hindi) {
		this.derivedStmt21Hindi = derivedStmt21Hindi;
	}

	public String getDerivedStmt22Hindi() {
		return derivedStmt22Hindi;
	}

	public void setDerivedStmt22Hindi(String derivedStmt22Hindi) {
		this.derivedStmt22Hindi = derivedStmt22Hindi;
	}

	public String getDerivedStmt23Hindi() {
		return derivedStmt23Hindi;
	}

	public void setDerivedStmt23Hindi(String derivedStmt23Hindi) {
		this.derivedStmt23Hindi = derivedStmt23Hindi;
	}

	public String getDerivedStmt24Hindi() {
		return derivedStmt24Hindi;
	}

	public void setDerivedStmt24Hindi(String derivedStmt24Hindi) {
		this.derivedStmt24Hindi = derivedStmt24Hindi;
	}

	public String getDerivedStmt25Hindi() {
		return derivedStmt25Hindi;
	}

	public void setDerivedStmt25Hindi(String derivedStmt25Hindi) {
		this.derivedStmt25Hindi = derivedStmt25Hindi;
	}

	public String getDerivedStmt26Hindi() {
		return derivedStmt26Hindi;
	}

	public void setDerivedStmt26Hindi(String derivedStmt26Hindi) {
		this.derivedStmt26Hindi = derivedStmt26Hindi;
	}

	public String getDerivedStmt27Hindi() {
		return derivedStmt27Hindi;
	}

	public void setDerivedStmt27Hindi(String derivedStmt27Hindi) {
		this.derivedStmt27Hindi = derivedStmt27Hindi;
	}

	public String getDependencyType() {
		return dependencyType;
	}

	public void setDependencyType(String dependencyType) {
		this.dependencyType = dependencyType;
	}

	public String getAppearance() {
		return appearance;
	}

	public void setAppearance(String appearance) {
		this.appearance = appearance;
	}

	public String getEntityStatus() {
		return entityStatus;
	}

	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

}
